=begin
= Eigensystems

== Modules and classes

* GSL
  * Eigen
    * Values < Vector
    * Vectors < Matrix
    * Symm (Module)
    * Symmv (Module)
    * Herm (Module)
      * Vectors < Matrix::Complex

== Real Symmetric Matrices
--- GSL::Eigen.symm(A)
--- GSL::Eigen.symm(A, workspace)
--- GSL::Matrix#eigen_symm
--- GSL::Matrix#eigen_symm(workspace)
    These methods compute the eigenvalues of the real symmetric matrix. 

--- GSL::Eigen.symmv(A)
--- GSL::Matrix#eigen_symmv
    These methods compute the eigenvalues and eigenvectors of the real symmetric 
    matrix, and return an array of two elements. 
    The first is a (({GSL::Vector})) object which stores all the eigenvalues. 
    The second is a (({GSL::Matrix object})), whose columns contain 
    eigenvectors.

    ex1)
        require 'gsl'
        m = GSL::Matrix.new([1.0, 1/2.0, 1/3.0, 1/4.0], [1/2.0, 1/3.0, 1/4.0, 1/5.0],
                           [1/3.0, 1/4.0, 1/5.0, 1/6.0], [1/4.0, 1/5.0, 1/6.0, 1/7.0])
        eigval, eigvec = Eigen.symm(m)

    ex2)
        eigval, eigvec = m.eigen_symmv

== Complex Hermitian Matrices
--- GSL::Eigen.herm(A)
--- GSL::Eigen.herm(A, workspace)
--- GSL::Matrix#eigen_herm
--- GSL::Matrix#eigen_herm(workspace)
    These methods compute the eigenvalues of the complex hermitian matrix. 

--- GSL::Eigen.hermv(A)
--- GSL::Eigen.hermv(A, workspace)
--- GSL::Matrix#eigen_hermv
--- GSL::Matrix#eigen_hermv(workspace

((<back|URL:index.html>))
=end
