=begin
= Ruby/GSL 0.3.9

== Description
The Ruby/GSL is a ruby interface to the ((<GSL|URL:http://sources.redhat.com/gsl/index2.html>)). (GNU Scientific Library) for
numerical computation with ((<Ruby|URL:http://www.ruby-lang.org/en/>)). 

Ruby/GSL is developed with Ruby 1.8.1 and GSL 1.4 on MacOS X 10.3.3.

== Installation
   (1) Get and install ((<GSL|URL:ftp://mirrors.rcn.net/pub/sourceware/gsl/>)). 
   (2) Ungzip and untar the archive rb-gsl-xxx.tar.gz. 
   (3) ((%cd rb-gsl-xxx/%))
   (4) ((%ruby setup.rb config%))

       If you have the NArray extension, this may be useful,
        
         % ruby setup.rb config -- --with-narray-include=<directory where 'narray.h' exsists>

   (5) ((%ruby setup.rb setup%))
   (6) ((%ruby setup.rb install%))

== Reference
The documents below are just "translations" of the GSL reference.

  (1) ((<Introduction|URL:intro.html>))
  (2) ((<Using the library|URL:use.html>))
  (3) ((<Error Handling|URL:ehandling.html>))
  (4) ((<Mathematical Functions|URL:math.html>))
  (5) ((<Complex Numbers|URL:complex.html>))
  (6) ((<Polynomials|URL:poly.html>))
  (7) ((<Special Functions|URL:sf.html>))
  (8) ((<Vectors|URL:vector.html>)) and ((<Matrices|URL:matrix.html>))
  (9) ((<Permutations|URL:perm.html>))
  (10) ((<Combinations|URL:combi.html>))
  (11) ((<Sorting|URL:sort.html>))
  (12) BLAS Support
  (13) ((<Linear Algebra|URL:linalg.html>))
  (14) ((<Eigen Systems|URL:eigen.html>))
  (15) ((<Fast Fourier Transform|URL:fft.html>))
  (16) ((<Numerical Integration|URL:integration.html>))
  (17) ((<Random Numbers|URL:rng.html>))
  (18) ((<Quasi-Random Sequences|URL:qrng.html>))
  (19) ((<Random Number Distributions|URL:randist.html>))
  (20) ((<Statistics|URL:stats.html>))
  (21) ((<1d-Histograms|URL:hist.html>)) and ((<2d-Histograms|URL:hist2d.html>))
  (22) ((<N-tuples|URL:ntuple.html>))
  (23) ((<Monte-Carlo Integration|URL:monte.html>))
  (24) ((<Simulated Annealing|URL:siman.html>))
  (25) ((<Ordinary Differential Equations|URL:odeiv.html>))
  (26) ((<Interpolation|URL:interp.html>))
  (27) ((<Numerical Differentiation|URL:diff.html>))
  (28) ((<Chebyshev Approximations|URL:cheb.html>))
  (29) ((<Series Acceleration|URL:sum.html>))
  (30) ((<Discrete Hankel Transforms|URL:dht.html>))
  (31) ((<One dimensional Root-Finding|URL:roots.html>))
  (32) ((<One dimensional Minimization|URL:min.html>))
  (33) ((<Multidimensional Root-Finding|URL:multiroot.html>))
  (34) ((<Multidimensional Minimization|URL:multimin.html>))
  (35) ((<Least-Squares Fitting|URL:fit.html>))
  (36) ((<Nonlinear Least-Squares Fitting|URL:nonlinearfit.html>))
  (37) ((<Physical Constants|URL:const.html>))

  * ((<Not implemented yet|URL:notimplemented.html>))


== Licence
Ruby/GSL is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License.
This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.

== Acknowledgement
The author would like to thank to the GSL development Team.
I also acknowledge to Mr. Yukihiro Matsumoto (Matz) and all the Ruby hackers for their 
much creative works.

== Author
Yoshiki Tsunesada
  ytsune@mua.biglobe.ne.jp

Apr/2004

=end
