=begin
= Introduction

The GNU Scientific Library (((<GSL|URL:http://sources.redhat.com/gsl/index2.html>))) 
is a collection of routines for numerical computing. 
The routines have been written from scratch in C, and present a modern Applications 
Programming Interface (API) for C programmers, allowing wrappers to be written for very 
high level languages. The source code is distributed under the GNU General Public License.

The Ruby/GSL is a Ruby bidings for GSL. This provides higher-level interfaces to the
GSL functions.

== Requirements
  * GSL 1.4
  * ANSI C compiler
  * Ruby

The Ruby/GSL is developped for GSL 1.4, under MacOS X 10.3.3.

== Installation
See ((<here|URL:index.html>)).

== Routines available in Ruby/GSL

  (4) ((<Mathematical Functions|URL:math.html>))
  (5) ((<Complex Numbers|URL:complex.html>))
  (6) ((<Polynomials|URL:poly.html>))
  (7) ((<Special Functions|URL:sf.html>))
  (8) ((<Vectors|URL:vector.html>)) and ((<Matrices|URL:matrix.html>))
  (9) ((<Permutations|URL:perm.html>))
  (10) ((<Combinations|URL:combi.html>))
  (11) ((<Sorting|URL:sort.html>))
  (12) BLAS Support
  (13) ((<Linear Algebra|URL:linalg.html>))
  (14) ((<Eigen Systems|URL:eigen.html>))
  (15) ((<Fast Fourier Transform|URL:fft.html>))
  (16) ((<Numerical Integration|URL:integration.html>))
  (17) ((<Random Numbers|URL:rng.html>))
  (18) ((<Quasi-Random Sequences|URL:qrng.html>))
  (19) ((<Random Number Distributions|URL:randist.html>))
  (20) ((<Statistics|URL:stats.html>))
  (21) ((<1d-Histograms|URL:hist.html>)) and ((<2d-Histograms|URL:hist2d.html>))
  (22) N-tuples
  (23) ((<Monte-Carlo Integration|URL:monte.html>))
  (24) Simulated Annealing 
  (25) ((<Ordinary Differential Equations|URL:odeiv.html>))
  (26) ((<Interpolation|URL:interp.html>))
  (27) ((<Numerical Differentiation|URL:diff.html>))
  (28) ((<Chebyshev Approximations|URL:cheb.html>))
  (29) ((<Series Acceleration|URL:sum.html>))
  (30) ((<Discrete Hankel Transforms|URL:dht.html>))
  (31) ((<One dimensional Root-Finding|URL:roots.html>))
  (32) ((<One dimensional Minimization|URL:min.html>))
  (33) ((<Multidimensional Root-Finding|URL:multiroot.html>))
  (34) ((<Multidimensional Minimization|URL:multimin.html>))
  (35) ((<Least-Squares Fitting|URL:fit.html>))
  (36) ((<Nonlinear Least-Squares Fitting|URL:nonlinearfit.html>))
  (37) ((<Physical Constants|URL:const.html>))

((<back|URL:index.html>))

=end
