=begin
= Random Number Distributions

--- GSL::Rng#gaussian
--- GSL::Rng#gaussian(sigma)
    These return a Gaussian random variate, with mean zero and standard deviation ((|sigma|)). The argument ((|sigma|)) can be omitted in the case of unit Gaussian distribution, ((|sigma=1|)).

--- GSL::Rng#gaussian_ratio_method
--- GSL::Rng#gaussian_ratio_method(sigma)
    Use Kinderman-Monahan ratio method

--- GSL::Rng#gaussian_tail(a, sigma)
--- GSL::Rng#bivariate_gaussian(sigma_x, sigma_y, rho)
--- GSL::Rng#exponential(mu)
--- GSL::Rng#laplace(a)
--- GSL::Rng#exppow(a, b)
--- GSL::Rng#cauchy(a)
--- GSL::Rng#rayleigh(sigma)
--- GSL::Rng#rayleigh_tail(a, sigma)
--- GSL::Rng#landau()
--- GSL::Rng#levy(c, alpha)
--- GSL::Rng#levy_skew(c, alpha, beta)
--- GSL::Rng#gamma(a, b)
--- GSL::Rng#flat(a, b)
--- GSL::Rng#lognormal(zeta, sigma)
--- GSL::Rng#chisq(nu)
--- GSL::Rng#fdist(nu1, nu2)
--- GSL::Rng#tdist(nu)
--- GSL::Rng#beta(a, b)
--- GSL::Rng#logistic(a)
--- GSL::Rng#pareto(a, b)

...

--- GSL::Rng#shuffle(v, n)
    This randomly shuffles the order of ((|n|)) objects, stored in the ((<GSL::Vector|URL:vector.html>)) object ((|v|)). 
--- GSL::Rng#choose(v, k)
    This returns a ((<GSL::Vector|URL:vector.html>)) object with ((|k|)) objects taken randomly from the ((<GSL::Vector|URL:vector.html>)) object ((|v|)). 

    The objects are sampled without replacement, thus each object can only appear once in the returned vector. It is required that ((|k|)) be less than or equal to the length of the vector ((|v|)). 

--- GSL::Rng#sample(v, k)
    This method is like the method (({choose})) but samples ((|k|)) items from the original vector ((|v|)) with replacement, so the same object can appear more than once in the output sequence. There is no requirement that ((|k|)) be less than the length of ((|v|)).

== Module functions

--- GSL::Randist::gaussian_pdf(x, sigma)
    This function computes the probability density at ((|x|)) for a Gaussian distribution with standard deviation ((|sigma|)).

--- GSL::Randist::gaussian_tail_pdf(x, a, sigma)
--- GSL::Randist::bivariate_gaussian_pdf(x, y, sigma_x, sigma_y, rho)
--- GSL::Randist::exponential_pdf(x, mu)
--- GSL::Randist::laplace_pdf(x, a)
--- GSL::Randist::exppow_pdf(x, a, b)
--- GSL::Randist::cauchy_pdf(x, a)
--- GSL::Randist::rayleigh_pdf(x, sigma)
--- GSL::Randist::rayleigh_tail_pdf(x, a, sigma)
--- GSL::Randist::landau_pdf(x)
--- GSL::Randist::levy_pdf(x, c, alpha)
--- GSL::Randist::levy_skew_pdf(x, c, alpha, beta)
--- GSL::Randist::gamma_pdf(x, a, b)
--- GSL::Randist::flat_pdf(x, a, b)
--- GSL::Randist::lognormal_pdf(x, zeta, sigma)
--- GSL::Randist::chisq_pdf(x, nu)
--- GSL::Randist::fdist_pdf(x, nu1, nu2)
--- GSL::Randist::tdist_pdf(x, nu)
--- GSL::Randist::beta_pdf(x, a, b)
--- GSL::Randist::logistic_pdf(x, a)
--- GSL::Randist::pareto_pdf(x, a, b)

...

--- GSL::Randist::cdf_gaussian_P(x)
--- GSL::Randist::cdf_gaussian_P(x, sigma)
--- GSL::Randist::cdf_gaussian_Q(x)
--- GSL::Randist::cdf_gaussian_Q(x, sigma)

...

((<back|URL:index.html>))
=end
