=begin
= Using Ruby/GSL
== Installation
See ((<here|URL:index.html>)).

== Load the library
Use at the head of your scripts,

    require("rb_gsl")
    include GSL

or 
    require("gsl")

All the classes, modules, functions and constants of Ruby/GSL 
are defined under the top-level module (({GSL})), or its submodules.

== Naming convention, Modules
=== The GSL module
* Most of GSL data types, functions or constants are named as (({gsl_xxx})) or (({GSL_XXX})). In Ruby/GSL, the prefix (({gsl_})) is replaced by the module identifier, (({GSL::})). For example,
  * Struct (({gsl_vector})) ---> Class (({GSL::Vector}))
  * Constant (({GSL_SUCCESS})) ---> Constant (({GSL::SUCCESS}))
  * Function (({gsl_sf_bessel_J0})) --->
    * Submodule (({GSL::Sf}))
    * Module function (({GSL::Sf::bessel_J0}))
  * Function (({gsl_linalg_LU_decomp})) --->
    * Submodule (({GSL::Linalg::LU}))
    * Singleton method (({GSL::Linalg::LU.decomp}))

== Examples
See sample codes in the "samples/" directory.

((<back|URL:index.html>))
=end
