#!/usr/bin/env ruby
require "gsl"

# To plot the results with Gnuplot, try
#    gnuplot> set yrange [0:1]
#    gnuplot> plot 'cheb.dat' u 1:3 w l, '' u 1:4 w l, '' u 1:5 w l

f = GSL::Function.new { |x|
  if x < 0.5
    0.25
  else
    0.75
  end
}

n = 1000
order = 40
cs = GSL::Cheb.new(order)

#p f
#p f.proc
#p f.params

cs.init(f, 0, 1)

for i in 0..n do
  x = i.to_f/n
  r10 = cs.eval_n(10, x)
  r40 = cs.eval(x)
  printf("%d %e %e %e %e\n", i, x, f.eval(x), r10, r40)
end

