#!/usr/bin/env ruby
require("gsl")
include GSL::Monte
include Math

proc_f = Proc.new { |k, dim, params|
  pi = Math::PI
  a = 1.0/(pi*pi*pi)
  a/(1.0 - cos(k[0])*cos(k[1])*cos(k[2]))
}

def display_results(title, result, error)
  exact = 1.3932039296856768591842462603255

  diff = result - exact
  printf("%s ==================\n", title);
  printf("result = % .6f\n", result);
  printf("sigma  = % .6f\n", error);
  printf("exact  = % .6f\n", exact);
  printf("error  = % .6f = %.1g sigma\n", diff, diff.abs/error)
end

dim = 3
xl = Vector.new(0, 0, 0)
xu = Vector.new(PI, PI, PI)
G = Monte::Function.new(proc_f, dim)
calls = 500000
r = GSL::Rng.new(Rng::DEFAULT)

plain = Monte::Plain.new(dim)
#result, error = G.integrate(xl, xu, dim, calls, r, plain)
result, error = G.integrate(xl, xu, dim, calls, plain)
#result, error = G.integrate(xl, xu, calls, plain)
display_results("plain", result, error)
